<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

  <head>
    <title>Vorkenntnisse Crack-Funktionen</title>
    <link rel="stylesheet" type="text/css" href="../../src/self.css">
    <meta name="description"    content="In diesem Abschnitt werden Image-Funktionen beschrieben.">
    <meta name="keywords"       content="SELFPHP, Crack-Funktionen, crack_check, crack_closedict, crack_getlastmessage, crack_opendict">
    <meta name="author"         content="Damir Enseleit, mail@selfphp.info">
    <meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
    <meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
    <meta name="DC.Date"        content="2002-10-03T08:00+01:00">
    <meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/crack_funktionen/index.html">
    <meta name="DC.Language"    content="de">
    <meta name="DC.Rights"      content="../../editorial/index.html">
    <meta name="SELF.Firstdate" content="2002-10-03T08:00+01:00">
    <meta name="SELF.Version"   content="1">
    <meta name="SELF.Pagetype"  content="Ordner">
    <meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.html">
  </head>

  <body bgcolor=#FFFFFF text=#000000 link=#AA5522 vlink=#772200 alink=#000000>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> 
      <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a>&nbsp;<img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Crack-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>Vorkenntnisse Crack-Funktionen</h2>
    </td></td>
</tr>  </td>
  </tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Kapitelseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" colspan="2"> 
      <p>Mit den Cracklib-Funktionen kann man Passw&ouml;rter auf ihre Tauglichkeit 
        hin &uuml;berpr&uuml;fen.<br>
        Dabei wird als Grundlage der &Uuml;berpr&uuml;fung entweder ein offenes 
        oder neu deklariertes<br>
        W&ouml;rterb&uuml;cher genutzt. Die Routine &uuml;berpr&uuml;ft ausserdem 
        die L&auml;nge und die H&auml;ufigkeit <br>
        einzelner Buchstaben und Zeichen.<br>
        Die Cracklib muss allerdings zus&auml;tzlich in PHP einkompiliert werden. 
        Sie finden eine<br>
        aktuelle Version der Cracklib und eine Installationsanweisung unter folgender 
        Adresse:<br>
        <a href="http://www.users.dircon.co.uk/~crypto/" target="_blank">http://www.users.dircon.co.uk/~crypto/</a> 
        <br>
        <br>
        Die Installation unter Linux stellt sich nur mit einer H&uuml;rde als 
        sehr einfach dar.<br>
        Als Verzeichnis f&uuml;r die Installation w&auml;hlte ich <b>/usr/local/cracklib,2.7</b><br>
      </p>
      <ol>
        <li> Nat&uuml;rlich sollte man sich zuerst die README-Datei durchlesen, 
          da dort wichtige<br>
          Informationen f&uuml;r die Installation beschrieben werden.</li>
        <li>Datei (momentan cracklib,2.7.tgz) entpacken und danach compilieren</li>
        <li> <b>make all</b></li>
        <li> <b>make install</b></li>
        <li> Als n&auml;chstes das Verzeichnis &quot;cracklib,2.7&quot; umbennen, 
          da beim kompilieren von PHP<br>
          das Komma im Verzeichnisnamen st&ouml;rend ist und es zu Fehlermeldungen 
          kommt.<br>
          In unserem Fall habe ich einfach aus dem Komma ein Unterstrich gemacht.<br>
        </li>
        <li>PHP mit der Anweisung <b>--with-crack=/usr/local/cracklib_2.7</b> 
          neu compilieren.<br>
          &nbsp;&nbsp;</li>
      </ol>
      
    </td>
  </tr>
</table>

<table bgcolor="#EEEEEE" class="doc" width="100%" cellspacing="0" cellpadding="0" border="0"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><br>&#160;
</td></tr></table>



<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>
</body>
</html>